%global srcname nbxmpp

Name:           python-%{srcname}
Version:        5.0.3
Release:        %mkrel 2
Summary:        Non blocking Jabber/XMPP module
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/nbxmpp/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
The goal of this python library is to provide a way for python applications
to use Jabber/XMPP networks in a non-blocking way. This library is initially
a fork of xmpppy one, but using non-blocking sockets.

%package -n     python3-%{srcname}
Summary:        Non blocking Jabber/XMPP module
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3dist(gssapi)

%description -n python3-%{srcname}
The goal of this python library is to provide a way for python applications
to use Jabber/XMPP networks in a non-blocking way. This library is initially
a fork of xmpppy one, but using non-blocking sockets.

%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nbxmpp

%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING
%doc ChangeLog README.md


%changelog
* Mon Mar 03 2025 wally <wally> 5.0.3-2.mga10
+ Revision: 2159822
- rebuild for python3.13

* Fri Aug 16 2024 wally <wally> 5.0.3-1.mga10
+ Revision: 2086762
- new version 5.0.3

* Sun Jan 07 2024 papoteur <papoteur> 4.5.3-1.mga10
+ Revision: 2028577
- new 4.5.3
- use pyproject_buildrequires

* Wed Aug 16 2023 papoteur <papoteur> 4.3.2-1.mga9
+ Revision: 1964710
- new 4.3.2
+ daviddavid <daviddavid>
- new version: 4.2.0

* Sun Jan 15 2023 daviddavid <daviddavid> 4.0.1-1.mga9
+ Revision: 1933295
- new version: 4.0.1

* Sat Dec 17 2022 papoteur <papoteur> 3.2.5-1.mga9
+ Revision: 1924129
- new 3.2.5

* Sun Oct 02 2022 neoclust <neoclust> 3.2.3-1.mga9
+ Revision: 1894000
- New version 3.2.3

* Wed Sep 07 2022 neoclust <neoclust> 3.2.1-1.mga9
+ Revision: 1885099
- New version  3.2.1

* Thu May 26 2022 wally <wally> 3.0.2-1.mga9
+ Revision: 1860219
- new version 3.0.2
- require python3-gssapi

* Wed Mar 23 2022 umeabot <umeabot> 2.0.4-3.mga9
+ Revision: 1823557
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2.0.4-2.mga9
+ Revision: 1783653
- rebuild for python-3.10

* Thu Oct 21 2021 sander85 <sander85> 2.0.4-1.mga9
+ Revision: 1752410
- New version: 2.0.4

* Sun Aug 29 2021 wally <wally> 2.0.3-1.mga9
+ Revision: 1743460
- new version 2.0.3

* Sun Mar 21 2021 sander85 <sander85> 2.0.2-2.mga9
+ Revision: 1707193
- Rebuild for python 3.9

* Thu Mar 11 2021 sander85 <sander85> 2.0.2-1.mga9
+ Revision: 1701323
- New version: 2.0.2

* Mon Sep 21 2020 sander85 <sander85> 1.0.2-1.mga8
+ Revision: 1629110
- New version: 1.0.2

* Thu Aug 06 2020 sander85 <sander85> 1.0.1-1.mga8
+ Revision: 1611544
- New version: 1.0.1

* Sun Feb 16 2020 umeabot <umeabot> 0.6.10-4.mga8
+ Revision: 1532176
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.6.10-3.mga8
+ Revision: 1441849
- rebuild for python3.8

* Fri Sep 06 2019 sander85 <sander85> 0.6.10-2.mga8
+ Revision: 1438004
- Drop python2 support

* Fri Apr 19 2019 wally <wally> 0.6.10-1.mga7
+ Revision: 1393565
- new version 0.6.10

* Sat Jan 12 2019 wally <wally> 0.6.9-1.mga7
+ Revision: 1355680
- new version 0.6.9
- rename python-nbxmpp as python2-nbxmpp

* Wed Jan 09 2019 sander85 <sander85> 0.6.8-2.mga7
+ Revision: 1353241
- Rebuild for python 3.7

* Wed Jan 02 2019 sander85 <sander85> 0.6.8-1.mga7
+ Revision: 1348722
- New version: 0.6.8

* Thu Sep 20 2018 umeabot <umeabot> 0.6.4-2.mga7
+ Revision: 1289335
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 sander85 <sander85> 0.6.4-1.mga7
+ Revision: 1210809
- New version: 0.6.4

* Fri Mar 09 2018 sander85 <sander85> 0.6.3-1.mga7
+ Revision: 1207626
- New version: 0.6.3

* Sat Aug 05 2017 pterjan <pterjan> 0.5.3-2.mga7
+ Revision: 1135512
- Rebuild for python 3.6

* Thu Dec 17 2015 daviddavid <daviddavid> 0.5.3-1.mga6
+ Revision: 911260
- new version: 0.5.3
- add python 3 package
- use new python macros
- add doc files

* Wed Oct 15 2014 umeabot <umeabot> 0.2-7.mga5
+ Revision: 740734
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2-6.mga5
+ Revision: 729143
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2-5.mga5
+ Revision: 688170
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.2-3.mga4
+ Revision: 543842
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2-2.mga4
+ Revision: 498960
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 09 2013 neoclust <neoclust> 0.2-1.mga4
+ Revision: 476633
- imported package python-nbxmpp

